package ru.m.puzzlez.core;

import haxework.signal.Signal;

interface IGame {
    public var state(default, null):GameState;
    public var signal(default, null):Signal<GameEvent>;

    public function start():Void;
    public function stop():Void;
    public function dispose():Void;
}
